Name:		fcitx-kkc
Version:	0.1.0
Release:	5%{?dist}
Summary:	Japanese Kana Kanji Engine for Fcitx
Group:		System Environment/Libraries

License:	GPLv3+
URL:		http://code.google.com/p/fcitx/
Source0:	http://download.fcitx-im.org/fcitx-kkc/%{name}-%{version}.tar.xz

BuildRequires:	fcitx-devel >= 0.4.8, libkkc-devel >= 0.2.3
BuildRequires:	cmake, gettext, intltool
Requires:	fcitx >= 0.4.8

%description
Fcitx-kkc is a Kana Kanji engine for Fcitx.  It provides Japanese
input method using libkkc.

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -pv build
pushd build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -rf $RPM_BUILD_ROOT%{_includedir}/fcitx
popd

%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc
%{_libdir}/fcitx/%{name}.so
%{_libdir}/fcitx/qt/libfcitx-kkc-config.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/configdesc/%{name}.desc
%{_datadir}/fcitx/inputmethod/kkc.conf
%{_datadir}/fcitx/kkc/
%{_datadir}/fcitx/imicon/kkc.png
%{_datadir}/icons/hicolor/64x64/apps/fcitx-kkc.png



%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 22 2013 Daiki Ueno <dueno@redhat.com> - 0.1.0-3
- Remove header file

* Wed Sep 18 2013 Daiki Ueno <dueno@redhat.com> - 0.1.0-2
- update license to GPLv3+
- drop buildroot cleanup

* Tue Jul  9 2013 Daiki Ueno <dueno@redhat.com> - 0.1.0-1
- initial packaging for Fedora, based on fcitx-libpinyin package

